Subject: bug#34565: closed (Re: bug#34565: ungoogled-chromium may contain Widevine DRM)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Oct 2019 11:34:02 +0000

Your bug report

#34565: ungoogled-chromium may contain Widevine DRM

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34565: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34565
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34565: ungoogled-chromium may contain Widevine DRM
From: Marius Bakke <[email-masked]>
To: ng0 <[email-masked]>
Cc: [email-masked], Leo Famulari <[email-masked]>
Date: Sat, 12 Oct 2019 13:32:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

ng0 <[email-masked]> writes:

> Marius Bakke transcribed 1.2K bytes:
>> Giovanni Biscuolo <[email-masked]> writes:
>> 
>> > Hello,
>> >
>> > maybe Marius Bakke have something interesting to say about his
>> > judgements on this "DRM matter"
>> 
>> [...]
>> 
>> > to sum it up: AFAIU for users to be able to use Widevine they must
>> > create a custom package definition _outside_ official Guix channels
>> > *and* download the shared object "libwidevinecdm.so" from Chromium,
>> > installing it "manually" system wide or locally
>> 
>> This analysis is correct.  For DRM to work, the user has to build with
>> "enable_widevine=true", and then somehow obtain 'libwidevinecdm.so' and
>> make the browser use it.
>
> Can this bug be closed?

Yes, I am closing this now; thanks for the reminder.

The actual Widevine implementation is not part of Chromium, and the
interfaces for loading it are disabled at build time.

Subject: ungoogled-chromium contains Widevine DRM
From: Jason Self <[email-masked]>
To: [email-masked]
Date: Mon, 18 Feb 2019 19:44:57 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: guix

Unless I am mistaken, ungoogled-chromium is not removing Widevine DRM
from upstream Chromium. Guix should remove that if upstream won't, as I
believe this goes against "the distro must contain no DRM..." in the
FSDG.